<div class="login-background"></div>
<div class="container" *ngIf="!jwt.tokenExist()">
  <div class="row">
    <div class="col-lg-6">
      <div class="row"></div>
      <div class="row"></div>
      <div class="row" style="margin-left: -15%"><h1>Welcome!</h1></div>
      <div class="row" style="margin-left: -15%"><h2>Login to learn and more!</h2></div>
    </div>
    <div class="col-md-4 col-md-offset-4">
      <div class="panel panel-login">
        <div class="panel-heading">
          <h3 class="panel-title">Login</h3>
        </div>
        <div class="panel-body">

          <!-- start of Login form -->
          <form [formGroup]="form" (ngSubmit)="login()" accept-charset="UTF-8">

            <!-- start of Username -->
            <div class="form-group">
              <input
                formControlName="username"
                id="username"
                placeholder="username..."
                type="text"
                class="form-control">
              <div *ngIf="username.touched && username.invalid" class="alert alert-danger">
                <div id="usernameRequiredError" *ngIf="username.errors.required; else containSpace">
                  username is required
                </div>
                <ng-template #containSpace>
                  <ng-container *ngIf="username.errors.cannotContainSpace">
                    <div id="usernameContainSpaceError">
                      username cannot have space
                    </div>
                  </ng-container>
                </ng-template>
              </div>
            </div>
            <!-- end of Username -->

            <!-- start of Passwords -->
            <div class="form-group">
              <input
                formControlName="password"
                id="password"
                placeholder="password..."
                type="password"
                class="form-control">
              <div *ngIf="password.touched && password.invalid" class="alert alert-danger">
                <div id="passwordRequiredError" *ngIf="password.errors.required">
                  password is required
                </div>
              </div>
            </div>
            <!-- end of Password -->

            <button class="btn" type="submit" [disabled]="!form.valid">Login</button>
          </form>
          <!-- end of Login form -->

        </div>
      </div>
    </div>
  </div>
</div>
<toaster-container [toasterconfig]="toasterConfig"></toaster-container>
